﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading;

namespace INT63DC_6CH.In_SerialManger
{
    public partial class SerialMgrComm
    {
        //fnSerialMgrDebugCB
        public const int SERIALMGR_DBG_NORMAL = 0x0001;
        public const int SERIALMGR_DBG_THREAD = 0x0002;
        public const int SERIALMGR_DBG_LIST = 0x0004;
        public const int SERIALMGR_DBG_PORT = 0x0008;


        // fnSerialMgrConnectCB : status
        public const int SERIAL_STATUS_DISCONNECT = 0x00;
        public const int SERIAL_STATUS_CONNECT = 0x01;
        public const int SERIAL_STATUS_ERROR = 0x02;

        public const int MAX_COMMPORT_SIZE = 10;

        // fnSerialMgrConnectCB : errDetail
        public enum serial_error_detail_e
        {
	        SERIAL_ERR_NONE	= 0x00, 
	        SERIAL_ERR_CREATE, 
	        SERIAL_ERR_PARAMETER, 
	        SERIAL_ERR_TIMEOUT, 
	        SERIAL_ERR_WRITE,
	        SERIAL_ERR_READ, 
	        SERIAL_ERR_MAX
        };



    }
}
